package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate_Vo;

import java.util.List;
import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/5/25 15:33
 */
public interface AlgsTemplsService extends IService<AlgorithmTemplate> {

    PageUtils queryPage(Map<String, Object> params);

    PageUtils queryPageOnUse(Map<String, Object> params);

    List<AlgorithmTemplate_Vo> queryPageAll(Map<String, Object> params);

    void deleteBatch(Long[] tmpIds);

    Long querycategoryId(Long tmpId);

    void update(AlgorithmTemplate tmp);

    AlgorithmTemplate selectByTmpName(String temName);
}
